import request from '../util/ajax'

export function queryEmergencySiteList(params) {
  return request({
    url: '/api/team/site/queryEmergencySiteList',
    method: 'POST',
    data: params
  })
}

export function queryEmergencyMapSiteList(params) {
  return request({
    url: '/api/team/site/queryEmergencyMapSiteList',
    method: 'POST',
    data: params
  })
}

export function queryEmergencySitePageList(params) {
  return request({
    url: '/api/team/site/queryEmergencySitePageList',
    method: 'POST',
    data: params
  })
}

export function saveOrUpdateEmergencySite(params) {
  return request({
    url: '/api/team/site/saveOrUpdateEmergencySite',
    method: 'POST',
    data: params
  })
}

export function deleteEmergencySite(params) {
  return request({
    url: '/api/team/site/deleteEmergencySite',
    method: 'POST',
    data: params
  })
}

export function auditEmergencySite(params) {
  return request({
    url: '/api/team/site/auditEmergencySite',
    method: 'POST',
    data: params
  })
}

export function queryEmergencySiteDtoById(params) {
  return request({
    url: '/api/team/site/queryEmergencySiteDtoById',
    method: 'POST',
    data: params
  })
}

export function querySiteListByName(name = "") {
  return request({
    url: '/api/team/site/querySiteListByName',
    method: 'GET',
    params: {
      name: name
    }
  })
}